Subject: Re: linux-next: manual merge of the usb tree with the usb.current tree

From: Greg KH <[email-masked]>
Date: Wed, 20 Jan 2021 09:02:24 +0100

On Wed, Jan 20, 2021 at 01:06:03PM +1100, Stephen Rothwell wrote:
> Hi all,
> 
> Today's linux-next merge of the usb tree got a conflict in:
> 
>   drivers/usb/gadget/udc/bdc/Kconfig
> 
> between commit:
> 
>   ef02684c4e67 ("usb: bdc: Make bdc pci driver depend on BROKEN")
> 
> from the usb.current tree and commit:
> 
>   7766cafea0ec ("usb: bdc: Remove the BDC PCI driver")
> 
> from the usb tree.
> 
> I fixed it up (the latter removed the text updated by the former) and
> can carry the fix as necessary. This is now fixed as far as linux-next
> is concerned, but any non trivial conflicts should be mentioned to your
> upstream maintainer when your tree is submitted for merging.  You may
> also want to consider cooperating with the maintainer of the conflicting
> tree to minimise any particularly complex conflicts.

Thanks, I knew this would happen and will resolve it when the
usb.current patch is merged in Linus's tree.

greg k-h